Advertisement:

Author Topic: Errors during installation  (Read 2721 times)

Online shawnb61

  • Support Specialist
  • Full Member
  • *
  • Posts: 408
    • sbulen on GitHub
Re: Errors during installation
« Reply #20 on: September 21, 2017, 06:31:07 AM »
That looks like it may help...  If you try it, please report back with the results!
Address the process rather than the outcome.  Then, the outcome becomes more likely.   - Fripp

Offline albertlast

  • Development Contributor
  • Jr. Member
  • *
  • Posts: 154
Re: Errors during installation
« Reply #21 on: September 22, 2017, 05:49:51 PM »
the manuel of pg https://www.postgresql.org/docs/current/static/runtime-config-compatible.html
say that since 9.1 this parameter is default enabled(on)

Offline siavoshkc

  • Semi-Newbie
  • *
  • Posts: 45
  • Gender: Male
Re: Errors during installation
« Reply #22 on: September 22, 2017, 06:05:44 PM »
the manuel of pg https://www.postgresql.org/docs/current/static/runtime-config-compatible.html
say that since 9.1 this parameter is default enabled(on)

And you should disable it.
Persian Translator

Offline albertlast

  • Development Contributor
  • Jr. Member
  • *
  • Posts: 154
Re: Errors during installation
« Reply #23 on: September 23, 2017, 11:05:31 AM »
This is maybe right for smf 2.0.x,
but for other applications and smf 2.1 is this wrong to disable this.

Offline albertlast

  • Development Contributor
  • Jr. Member
  • *
  • Posts: 154
Re: Errors during installation
« Reply #24 on: September 23, 2017, 12:59:27 PM »
To make it clear,
the right fix is it to replace the \ with ': mother\'s  day -> mother''s day

Offline siavoshkc

  • Semi-Newbie
  • *
  • Posts: 45
  • Gender: Male
Re: Errors during installation
« Reply #25 on: September 23, 2017, 01:45:01 PM »
To make it clear,
the right fix is it to replace the \ with ': mother\'s  day -> mother''s day

I am confused. The only reason for that Postgeres option is those line that can be fixed with a simple correction, why wiki tells us to turn off the option? We could simply fix the Postgeres installation file.
Persian Translator

Online shawnb61

  • Support Specialist
  • Full Member
  • *
  • Posts: 408
    • sbulen on GitHub
Re: Errors during installation
« Reply #26 on: September 23, 2017, 03:25:18 PM »
Albertlast noted this may be the right fix for 2.0.x. 

Given that we are talking about SMF 2.0.x, if it works, I'd say go for it. 

This option is there to assist users working with MySQL-oriented DBs.  And SMF 2.0.x is a MySQL-oriented DB. 

The problem is that MySQL does a lot of non-standard stuff, that is not ANSI-compliant.  Postgresql tries to be (a) ANSI-compliant, and (b) still allow folks to work with that non-standard MySQL stuff.  Hence options like this. 

I am working under the assumption this won't be the only time you run into this problem, e.g., with mods or other elements of code in 2.0.x.  I doubt the installer is the only place you will have issues.  Hence, I'd suggest turning it off. 

Going forward, with 2.1, SMF is moving towards ANSI-compliance, which means that Postgresql will be better supported.  MySQL itself is slowly attempting to move in that direction. 
Address the process rather than the outcome.  Then, the outcome becomes more likely.   - Fripp